compose_metadata:
  config-hash: 1015853fb6fe53c989319829888160795417339c62fce74c48c7ac7beb222aa9
  container-number: '1'
  depends_on: ''
  image: sha256:1ce9341724921ad7cb66bc9259bc10571ababbb1da6e001fe6d07a87c645545a
  oneoff: 'False'
  project: immich
  project.config_files: /srv/mergerfs/presscloud/docker/immich/immich.yml
  project.working_dir: /srv/mergerfs/presscloud/docker/immich
  service: database
  version: 2.39.1
container_id: 142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205
created: '2025-08-08T01:51:42.479268492Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  DB_STORAGE_TYPE: SSD
  GOSU_VERSION: '1.17'
  LANG: en_US.utf8
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/14/bin
  PGDATA: /var/lib/postgresql/data
  PG_MAJOR: '14'
  PG_VERSION: 14.18-1.pgdg120+1
  POSTGRES_DB: immich
  POSTGRES_INITDB_ARGS: --data-checksums
  POSTGRES_PASSWORD: '***SENSITIVE_VALUE*** (post...)'
  POSTGRES_USER: postgres
execution:
  cmd:
  - postgres
  - -c
  - config_file=/etc/postgresql/postgresql.conf
  entrypoint:
  - /usr/local/bin/immich-docker-entrypoint.sh
  stop_signal: SIGINT
  user: ''
  working_dir: ''
host_system: omv800.local_20250823
image:
  platform: linux
  sha: sha256:1ce9341724921ad7cb66bc9259bc10571ababbb1da6e001fe6d07a87c645545a
  tag: ghcr.io/immich-app/postgres:14-vectorchord0.3.0-pgvectors0.2.0
labels:
  com.docker.compose.config-hash: 1015853fb6fe53c989319829888160795417339c62fce74c48c7ac7beb222aa9
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:1ce9341724921ad7cb66bc9259bc10571ababbb1da6e001fe6d07a87c645545a
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: immich
  com.docker.compose.project.config_files: /srv/mergerfs/presscloud/docker/immich/immich.yml
  com.docker.compose.project.working_dir: /srv/mergerfs/presscloud/docker/immich
  com.docker.compose.service: database
  com.docker.compose.version: 2.39.1
  org.opencontainers.image.created: '2025-07-23T21:03:55.425Z'
  org.opencontainers.image.description: Base images for Immich containers
  org.opencontainers.image.licenses: AGPL-3.0
  org.opencontainers.image.revision: ee806e819e922de0a2744cf61da90428b169dc4a
  org.opencontainers.image.source: https://github.com/immich-app/base-images
  org.opencontainers.image.title: base-images
  org.opencontainers.image.url: https://github.com/immich-app/base-images
  org.opencontainers.image.version: 14-vectorchord0.3.0-pgvector0.8.0-pgvectors0.2.0
name: immich_postgres
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    immich_default:
      aliases:
      - immich_postgres
      - database
      dns_names:
      - immich_postgres
      - database
      - 142f8c9ea29b
      endpoint_id: 8137c299cd4d42d71c767232355097636b460972272812120e5b974b451c9ea8
      gateway: 172.22.0.1
      global_ipv6_address: ''
      ip_address: 172.22.0.5
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 52:36:1d:b5:82:b1
      network_id: b51092ec139cacc7aafb173e3816a9492168eca2b11ab5721f36b3c7d77f7b26
  publish_all_ports: false
ports:
  bindings: {}
  exposed:
  - 5432/tcp
  published: {}
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: immich_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: always
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_omv800.local_20250823_214938/discovery/2_services/container_immich_postgres.json
volumes:
  bind_strings:
  - /srv/mergerfs/presscloud/immich/postgres:/var/lib/postgresql/data:rw
  detailed_mounts:
  - destination: /var/lib/postgresql/data
    driver: null
    mode: rw
    name: null
    propagation: rprivate
    rw: true
    source: /srv/mergerfs/presscloud/immich/postgres
    type: bind
